package com.czg.order.service;

import com.czg.order.entity.CreditBuyer;
import com.czg.order.param.CreditBuyerQueryParam;
import com.czg.order.param.CreditBuyerRepaymentParam;
import com.czg.order.vo.CreditBuyerRepaymentVo;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;

/**
 * 挂账人
 *
 * @author Tankaikai tankaikai@aliyun.com
 * @since 1.0 2025-03-04
 */
public interface CreditBuyerService extends IService<CreditBuyer> {
    Page<CreditBuyer>  getCreditBuyerPage(CreditBuyerQueryParam param);


    void addCreditBuyer(CreditBuyer dto);

    void updateCreditBuyer(CreditBuyer dto);

    void deleteCreditBuyer(String id);

    CreditBuyerRepaymentVo repayment(CreditBuyerRepaymentParam param);

}